Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001289 [1003.1(2016)/Issue7+TC2] Base Definitions and Headers Editorial Clarification Requested 2019-09-27 19:17 2019-11-21 14:59
Reporter joelsherrill View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Applied  
Name Joel Sherrill
Organization RTEMS.org
User Reference
Section netdb.h
Page Number First paragraph
Line Number NA - used web
Interp Status ---
Final Accepted Text Note: 0004614
Summary 0001289: netdb.h - in_port_t and in_addr_t do not appear to be needed
Description Ref: https://pubs.opengroup.org/onlinepubs/9699919799/basedefs/netdb.h.html [^]

In netdb.h, both in_port_t and in_addr_t are “may define” but do not appear to be needed. In discussing this, our assumption is that when this header was added to the standard, at least one implementation defined or needed these two types. They do not appear to be strictly needed.
Desired Action Clarification/update is requested.
Tags tc3-2008
Attached Files

- Relationships
related to 0001290Interpretation Required arpa/inet.h - origin of socklen_t is unclear 

-  Notes
(0004572)
shware_systems (reporter)
2019-09-27 19:58

While not directly referenced, the addrinfo structure and getnameinfo() interface use the incomplete sockaddr type, which in practice will be completed with members of those types for IP4 and IP6 sockets. The current wording is, I strongly suspect, from known implementations all doing a #include of another header that declared these types and completed sockaddr before any of the new declarations and prototypes, to leave open some implementaton may choose not to do it this way. The types are required, however, as sockaddr is required to support IP4, at least.
(0004614)
geoffclare (manager)
2019-10-07 15:22

On page 302 line 10208 section <netdb.h>, delete:
The <netdb.h> header may define the in_port_t type and the in_addr_t type as described in <netinet/in.h>.

- Issue History
Date Modified Username Field Change
2019-09-27 19:17 joelsherrill New Issue
2019-09-27 19:17 joelsherrill Name => Joel Sherrill
2019-09-27 19:17 joelsherrill Organization => RTEMS.org
2019-09-27 19:17 joelsherrill Section => netdb.h
2019-09-27 19:17 joelsherrill Page Number => First paragraph
2019-09-27 19:17 joelsherrill Line Number => NA - used web
2019-09-27 19:58 shware_systems Note Added: 0004572
2019-10-07 15:22 geoffclare Note Added: 0004614
2019-10-07 15:23 geoffclare Interp Status => ---
2019-10-07 15:23 geoffclare Final Accepted Text => Note: 0004614
2019-10-07 15:23 geoffclare Status New => Resolved
2019-10-07 15:23 geoffclare Resolution Open => Accepted As Marked
2019-10-07 15:23 geoffclare Tag Attached: tc3-2008
2019-10-07 15:39 eblake Relationship added related to 0001290
2019-11-21 14:59 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker